package main

import (
	"flag"
	"log"

	"gitea.hashru.nl/dsprenkels/rushlink"
)

var (
	databasePath = flag.String("database", "", "location of the database file")
	httpListen = flag.String("listen", "127.0.0.1:8000", "listen address (host:port)")
	metricsListen = flag.String("metrics_listen", "127.0.0.1:58614", "listen address for metrics (host:port)")
)

func main() {
	flag.Parse()

	if err := rushlink.Open(*databasePath); err != nil {
		log.Fatalln(err)
	}
	defer rushlink.Close()

	go rushlink.StartMetricsServer(*metricsListen)
	rushlink.StartMainServer(*httpListen)
}
